/* ---------------------------------
 * Tabler & Bootstrap
 * --------------------------------- */

:root {
    --tblr-link-color: var(--tblr-body-color);
}

@media screen and (min-width: 992px) {
    :host,
    :root {
        margin-inline-start: 0 !important;
    }
}

* {
    scrollbar-color: unset !important;
}

:root:not(.theme-dark):not([data-bs-theme='dark']) [data-bs-theme='dark'] .hide-theme-light {
    display: block !important;
}

:root:not(.theme-dark):not([data-bs-theme='dark']) [data-bs-theme='dark'] .hide-theme-dark {
    display: none !important;
}

[data-bs-theme='dark'] [data-bs-theme='light'] .hide-theme-light {
    display: none !important;
}

[data-bs-theme='dark'] [data-bs-theme='light'] .hide-theme-dark {
    display: block !important;
}

ul.pagination {
    gap: 5px;
    flex-wrap: wrap;
}

ul.pagination .page-item.active .page-link:hover {
    background-color: var(--tblr-pagination-active-bg);
}

[data-bs-theme='dark'] .form-control:focus,
[data-bs-theme='dark'] .form-check-input:focus,
.input-group-flat:focus-within .form-control,
.input-group-flat:focus-within .input-group-text {
    border-color: var(--tblr-border-color) !important;
}

.input-group > .form-control:first-child:not(:last-child),
.input-group > .input-group-text:first-child:not(:last-child) {
    border-start-end-radius: 0 !important;
    border-end-end-radius: 0 !important;
}

.input-group *:focus-visible {
    outline: none !important;
}

input[type='number']::-webkit-outer-spin-button,
input[type='number']::-webkit-inner-spin-button {
    -webkit-appearance: none;
}

.input-group-flat.has-invalid-feedback,
.input-group.has-invalid-feedback {
    box-shadow: none !important;
}

.input-group-flat.has-invalid-feedback:focus-within {
    box-shadow: none !important;
}

.input-group-flat.has-invalid-feedback > * {
    border-color: var(--tblr-form-invalid-border-color);
}

.input-group-flat.has-invalid-feedback .form-control:not(:last-child) {
    border-inline-end: 1px solid var(--tblr-form-invalid-border-color);
}

.input-group-flat.has-invalid-feedback:focus-within .form-control {
    box-shadow: 0 0 0 0.25rem rgba(var(--tblr-primary-rgb), 0.25);
}

.form-floating .form-label {
    font-weight: normal;
}

.has-invalid-feedback .invalid-feedback {
    display: block;
}

.card-footer {
    padding: calc(var(--tblr-card-cap-padding-y) / 1.5) calc(var(--tblr-card-cap-padding-x) / 1.5) !important;
}

.input-group-flat .input-group-text:first-child {
    padding-inline-end: 0.75rem;
}

.input-group-flat .input-group-text:last-child {
    padding-inline-start: 0.75rem;
}

nav.navbar.position-sticky {
    z-index: 1000;
}

.navbar .dropdown-menu .dropdown-item.active,
.navbar .dropdown-menu .dropdown-item:active {
    color: var(--tblr-navbar-active-color) !important;
    background-color: rgba(var(--tblr-secondary-rgb), 0.08) !important;
}

[dir='rtl'] [type='email']::placeholder,
[dir='rtl'] [type='number']::placeholder,
[dir='rtl'] [type='tel']::placeholder,
[dir='rtl'] [type='url']::placeholder {
    text-align: right;
}

a.list-group-item.active {
    text-decoration: none;
}

/* ---------------------------------
 * Toastify
 * --------------------------------- */

.toastify {
    display: flex;
    align-items: center;
    max-width: calc(100% - 30px) !important;
    box-shadow: rgba(var(--tblr-body-color-rgb), 0.04) 0 2px 4px 0 !important;
}

.toastify .toast-close {
    color: currentColor;
    padding-inline-start: 1rem;
}

/* ---------------------------------
 * TinyMCE
 * --------------------------------- */

.tox .tox-edit-area__iframe {
    background-color: unset !important;
}

textarea.is-invalid ~ .tox .tox-edit-area__iframe {
    border: 1px solid var(--tblr-form-invalid-border-color) !important;
}

/* ---------------------------------
 * Tom Select
 * --------------------------------- */

[data-ts-item] + input::placeholder {
    opacity: 0;
}

.ts-wrapper {
    border-radius: 5px !important;
}

.ts-wrapper.single .ts-control {
    flex-wrap: nowrap;
}

.ts-wrapper.single .ts-control .item {
    white-space: nowrap;
}

.ts-wrapper.single.plugin-remove_button .item {
    padding-inline-start: 20px;
}

.ts-wrapper.single.plugin-remove_button .remove {
    position: absolute;
    inset-inline-start: 0;
    background: transparent;
    border: none !important;
    top: 50%;
    transform: translateY(-50%);
}

.ts-wrapper.single.plugin-remove_button .remove:hover {
    background: transparent;
}

select.is-invalid ~ .ts-wrapper {
    border-color: var(--tblr-form-invalid-border-color) !important;
}

.ts-control:not(.rtl) {
    padding-right: 0.75rem !important;
}

.ts-control {
    border-radius: var(--tblr-border-radius) !important;
}

.ts-dropdown {
    z-index: 99999999 !important;
}

.ts-dropdown-content [data-selectable]:hover {
    background-color: rgba(var(--tblr-body-color-rgb), 0.04) !important;
}

.ts-wrapper.plugin-remove_button .item .remove {
    border-color: var(--tblr-border-color) !important;
}

/* ---------------------------------
 * Select Input Group
 * --------------------------------- */
.input-group [reloadable-container] {
    cursor: pointer;
}

.input-group [reloadable-container]:hover {
    color: var(--tblr-bodyr-color);
}

/* ---------------------------------
 * Litepicker
 * --------------------------------- */

.litepicker .container__months .month-item-header div > .month-item-name {
    margin-inline: 0 5px;
}

[dir='rtl'] .month-item-header .button-previous-month,
[dir='rtl'] .month-item-header .button-next-month {
    transform: rotate(180deg);
}

.litepicker .button-previous-month {
    cursor: pointer !important;
}

[data-bs-theme='dark'] .litepicker .container__months {
    box-shadow:
        0 16px 24px 2px rgba(0, 0, 0, 0.07),
        0 6px 30px 5px rgba(0, 0, 0, 0.06),
        0 8px 10px -5px rgba(0, 0, 0, 0.1) !important;
}

/* ---------------------------------
 * Jquery Confirm
 * --------------------------------- */

.jconfirm.jconfirm-material .jconfirm-box {
    background: var(--tblr-bg-surface) !important;
    border-top-width: 5px !important;
}

.jconfirm.jconfirm-material .jconfirm-scrollpane {
    -webkit-backdrop-filter: blur(4px) !important;
    backdrop-filter: blur(4px) !important;
}

.jconfirm.jconfirm-material .jconfirm-box .jconfirm-title-c {
    color: var(--tblr-body-color) !important;
}

.jconfirm.jconfirm-material .jconfirm-box .jconfirm-content {
    color: rgba(var(--tblr-body-color-rgb), 0.8) !important;
    padding: 5px !important;
    overflow: hidden !important;
}

.jconfirm.jconfirm-material .jconfirm-box .jconfirm-buttons {
    text-align: end;
}

.jconfirm.jconfirm-material .jconfirm-box .jconfirm-buttons button {
    text-transform: unset;
}

.jconfirm-box .form-control:focus {
    box-shadow: none !important;
}

[dir='rtl'] .jconfirm.jconfirm-material .jconfirm-box .jconfirm-title-c .jconfirm-icon-c {
    margin-right: 0;
    margin-left: 8px;
}

@media screen and (min-width: 768px) {
    .jconfirm.jconfirm-material .jconfirm-box {
        min-width: 400px !important;
    }
}

@media screen and (max-width: 767px) {
    .jconfirm.jconfirm-material .jconfirm-box {
        width: 90% !important;
    }
}

/* ---------------------------------
 * Coloris
 * --------------------------------- */

.clr-field {
    width: 100%;
}

.clr-field button {
    left: unset !important;
    right: 5px !important;
    width: 25px !important;
    height: 25px !important;
    border-radius: 3px;
}

.clr-field input {
    padding-left: 0.5625rem !important;
}

.clr-field.clr-rtl button {
    left: 8px !important;
    right: unset !important;
}

.clr-picker {
    z-index: 999999999 !important;
}

/* ---------------------------------
 * Redot Datatable
 * --------------------------------- */

.datatable .tags-list {
    flex-wrap: nowrap;
}

/* ---------------------------------
 * Fancybox
 * --------------------------------- */

.fancybox-type-image .fancybox-button {
    background: transparent !important;
}

.fancybox-toolbar {
    visibility: visible !important;
    opacity: 1 !important;
}

/* Only display the close button for non-image content types */
.fancybox-type-iframe .fancybox-button:not(.fancybox-button--close),
.fancybox-type-video .fancybox-button:not(.fancybox-button--close),
.fancybox-type-html .fancybox-button:not(.fancybox-button--close) {
    display: none !important;
}

/* Set padding for iframe, video, and HTML content slides */
.fancybox-slide--iframe,
.fancybox-slide--video,
.fancybox-slide--html {
    padding: 30px !important;
}

/* Style the close button for iframe, video, and HTML content types */
.fancybox-type-iframe .fancybox-button--close,
.fancybox-type-video .fancybox-button--close,
.fancybox-type-html .fancybox-button--close {
    border-radius: 50% !important;
    margin: 5px 5px 0 0 !important;
}

/* Add rounded corners to iframe content */
.fancybox-slide--iframe .fancybox-content {
    border-radius: 5px !important;
    background-color: var(--tblr-body-bg) !important;
}

/* Adjust padding for smaller screens */
@media screen and (max-width: 768px) {
    .fancybox-slide--iframe,
    .fancybox-slide--video {
        padding: 15px !important;
    }
}

/* Position and style thumbnails */
.fancybox-show-thumbs .fancybox-inner {
    right: 0;
    bottom: 95px;
}

.fancybox-thumbs {
    top: auto;
    width: auto;
    bottom: 0;
    left: 0;
    right: 0;
    height: 95px;
    padding: 10px 10px 5px 10px;
    box-sizing: border-box;
    background: rgba(0, 0, 0, 0.3);
}

/* Highlight active thumbnail */
.fancybox-thumbs__list a:before {
    border: 4px solid var(--color-primary) !important;
}

/* Style the progress bar */
.fancybox-progress {
    background: var(--color-primary) !important;
}

/* Adjustments for mobile and tablet screens */
@media screen and (max-width: 992px) {
    .fancybox-slide--iframe,
    .fancybox-slide--video {
        padding: 15px !important;
    }

    .fancybox-slide--video .fancybox-content {
        position: fixed;
        top: 15px;
        left: 15px;
        transform: rotate(90deg) translateY(-100%);
        transform-origin: top left;
        width: calc(100vh - 30px) !important;
        height: calc(100vw - 30px) !important;
        max-width: initial !important;
        max-height: initial !important;
    }
}

/* Override default scrolling behavior on non-iOS platforms */
@supports not (-webkit-overflow-scrolling: touch) {
    .fancybox-slide--iframe .fancybox-content {
        width: 100% !important;
        height: 100% !important;
        max-width: 100% !important;
        max-height: 100% !important;
        overflow: hidden !important;
    }
}

/* ---------------------------------
 * JS Tree Overrides
 * --------------------------------- */
.jstree-loading,
.jstree-disabled {
    opacity: 0.6;
    pointer-events: none;
}

.jstree-loading:after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 40px;
    height: 40px;
    margin: -20px 0 0 -20px;
    border: 4px solid rgba(var(--tblr-body-color-rgb), 0.2);
    border-top-color: rgba(var(--tblr-body-color-rgb), 0.6);
    border-radius: 50%;
    animation: spin 1s linear infinite;
    z-index: 1000;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.jstree-container-ul {
    padding-inline-start: 1.25rem;
    list-style-type: none !important;
}

.jstree-children {
    display: flex !important;
    flex-direction: column !important;
    list-style-type: none !important;
}

.jstree-anchor {
    display: flex !important;
    align-items: center !important;
    gap: 5px !important;
    text-decoration: none !important;
    padding: 5px !important;
}

.jstree-anchor:focus {
    outline: none !important;
}

.jstree-anchor.jstree-clicked {
    background-color: rgba(var(--tblr-body-color-rgb), 0.08) !important;
    border-radius: var(--tblr-border-radius) !important;
}

.jstree-anchor.jstree-hovered {
    color: color-mix(in srgb, transparent, var(--tblr-link-color) var(--tblr-link-opacity, 100%)) !important;
    background-color: rgba(var(--tblr-body-color-rgb), 0.04) !important;
    border-radius: var(--tblr-border-radius) !important;
    text-decoration: none !important;
}

.jstree-rename-input {
    border: none !important;
    outline: none !important;
}

.vakata-context {
    position: absolute !important;
    z-index: 10000 !important;
    background-color: var(--tblr-white) !important;
    border: 1px solid var(--tblr-border-color) !important;
    box-shadow: 0 4px 8px rgba(var(--tblr-body-color-rgb), 0.04) !important;
    list-style-type: none !important;
    margin-left: 0 !important;
    display: flex !important;
    flex-direction: column !important;
    gap: 10px !important;
    padding: 10px 20px 15px 10px !important;
}

.vakata-context * {
    border: none !important;
    outline: none !important;
}

.vakata-context-separator > a {
    display: block !important;
    width: 100% !important;
    height: 1px !important;
    background-color: #e0e0e0 !important;
    margin: 5px 0 !important;
    cursor: default !important;
}

.vakata-context-separator > a:hover {
    background-color: #e0e0e0 !important;
    box-shadow: none !important;
}
